local table = require( 'table' )
local os = require( 'os' )
local srcdir = os.getenv('srcdir') or '.'
local require = require

require 'LuaXML'

local intrinsic = require( 'saotrace.raygen.mock_intrinsics' )
local xml2table = require( 'saotrace.raygen.source.load' ).xml2table


describe( "xml2table", function ()

    it( "load", function ( )

       local srcfile = table.concat( { srcdir, 'tests', 'data', 'xml2table.xml'}, '/' )

       local doc = xml.load( srcfile )

       local tbl = xml2table(doc)

       assert.same( "s1", tbl.source[1].name )

       assert.same( 1.49, tbl.source[1].spectrum[1].energy )
       assert.same( 2, tbl.source[1].spectrum[1].flux )

       assert.same( "rdb", tbl.source[1].spectrum[2].format )

       assert.same( "-60:38:51.66", tbl.source[2].position.dec )
       assert.same( "7:58:50.661", tbl.source[2].position.ra )

       assert.same( "-60:51:44.53", tbl.source[5].position.dec )
       assert.same( 0.01, tbl.source[5].spectrum.scale )
    end)

end)
